## syslinux 3.71+dfsg

=== memdisk/Makefile ===
## -----------------------------------------------------------------------
##
##   Copyright 2001-2008 H. Peter Anvin - All Rights Reserved
##
##   This program is free software; you can redistribute it and/or modify
##   it under the terms of the GNU General Public License as published by
##   the Free Software Foundation, Inc., 53 Temple Place Ste 330,
##   Boston MA 02111-1307, USA; either version 2 of the License, or
##   (at your option) any later version; incorporated herein by reference.
##
## -----------------------------------------------------------------------

topdir = ..
-include $(topdir)/version.mk

TMPFILE = $(shell mktemp /tmp/gcc_ok.XXXXXX)

CC	= gcc

gcc_ok   = $(shell tmpf=$(TMPFILE); if $(CC) $(1) -c -x c /dev/null -o $$tmpf 2>/dev/null; \
	           then echo $(1); else echo $(2); fi; rm -f $$tmpf)

M32     := $(call gcc_ok,-m32,)
ALIGN   := $(call gcc_ok,-falign-functions=0 -falign-jumps=0 -falign-loops=0,-malign-functions=0 -malign-jumps=0 -malign-loops=0)
FREE    := $(call gcc_ok,-ffreestanding,) $(call gcc_ok,-fno-stack-protector,)

CFLAGS   =  $(M32) $(FREE) -g -W -Wall -Wno-sign-compare \
	   -Os -fomit-frame-pointer -march=i386 -mregparm=3 $(ALIGN) \
	   -DDATE='"$(DATE)"'
SFLAGS	 = $(M32) -march=i386 -D__ASSEMBLY__
LDFLAGS  = $(M32) -g
INCLUDE  = -I../com32/include
LD	 = ld -m elf_i386
NASM     = nasm
NASMOPT  = -O9999
NFLAGS   = -dDATE='"$(DATE)"' -dWITH_EDD
NINCLUDE =
OBJCOPY  = objcopy
PERL     = perl

SRCS	 = $(wildcard *.asm *.c *.h)

# The DATE is set on the make command line when building binaries for
# official release.  Otherwise, substitute a hex string that is pretty much
# guaranteed to be unique to be unique from build to build.
ifndef HEXDATE
HEXDATE := $(shell $(PERL) ../now.pl $(SRCS))
endif
ifndef DATE
DATE    := $(shell sh ../gen-id.sh $(VERSION) $(HEXDATE))
endif

# Important: init.o16 must be first!!
OBJS16   = init.o16 init32.o
OBJS32   = start32.o setup.o msetup.o e820func.o conio.o memcpy.o memset.o \
           unzip.o memdisk.o

CSRC     = setup.c msetup.c e820func.c conio.c unzip.c
SSRC     = start32.S memcpy.S memset.S
NASMSRC  = memdisk.asm memdisk16.asm

all: memdisk # e820test

# tidy, clean removes everything except the final binary
tidy dist:
	rm -f *.o *.s *.o16 *.s16 *.bin *.lst *.elf e820test

clean: tidy

# spotless also removes the product binary
spotless: clean
	rm -f memdisk .depend

%.o: %.asm
	$(NASM) $(NASMOPT) $(NFLAGS) $(NINCLUDE) -f elf -l $*.lst -o $@ $<

%.o: %.s
	$(CC) $(SFLAGS) -c -o $@ $<

%.o: %.S
	$(CC) $(INCLUDE) $(SFLAGS) -c -o $@ $<

%.o16: %.s16
	$(CC) $(SFLAGS) -x assembler -c -o $@ $<

%.o: %.c
	$(CC) $(INCLUDE) $(CFLAGS) -c -o $@ $<

%.s16: %.s
	echo '.code16gcc' | cat - $< > $@

%.s: %.S
	$(CC) $(INCLUDE) $(SFLAGS) -E -o $@ $<

%.s16: %.S16
	$(CC) $(INCLUDE) $(SFLAGS) -x assembler-with-cpp -E -o $@ $<

%.s: %.c
	$(CC) $(INCLUDE) $(CFLAGS) -S -o $@ $<

%.i: %.c
	$(CC) $(INCLUDE) $(CFLAGS) -E -o $@ $<

# Cancel default rule
%.o: %.c

%.bin: %.asm
	$(NASM) -f bin $(NASMOPT) $(NFLAGS) $(NINCLUDE) -o $@ -l $*.lst $<

memdisk16.elf: $(OBJS16)
	$(LD) -Ttext 0 -o $@ $^

memdisk32.elf: $(OBJS32)
	$(LD) -Ttext 0x100000 -o $@ $^

%.bin: %.elf
	$(OBJCOPY) -O binary $< $@

memdisk: memdisk16.bin memdisk32.bin postprocess.pl
	$(PERL) postprocess.pl $@ memdisk16.bin memdisk32.bin

e820test: e820func.o msetup.o e820test.o memdisk.o
	$(CC) $(LDFLAGS) -o $@ $^

memdisk.o: memdisk.bin
	$(LD) -r -b binary -o $@ $<

.depend:
	rm -f .depend
	for csrc in *.c ; do $(CC) $(INCLUDE) $(CFLAGS) -MM $$csrc >> .depend ; done
	for ssrc in *.S ; do $(CC) $(INCLUDE) $(SFLAGS) -MM $$ssrc >> .depend ; done
	for nsrc in $(NASMSRC) ; do $(NASM) -DDEPEND $(NINCLUDE) -o `echo $$nsrc | sed -e 's/\.asm/\.bin/'` -M $$nsrc >> .depend ; done

depend:
	rm -f .depend
	$(MAKE) .depend

# This file contains the version number, so add a dependency for it
setup.s: ../version

# Include dependencies file
include .depend

=== menu/Makefile ===
## -----------------------------------------------------------------------
##
##   Copyright 2001-2008 H. Peter Anvin - All Rights Reserved
##
##   This program is free software; you can redistribute it and/or modify
##   it under the terms of the GNU General Public License as published by
##   the Free Software Foundation, Inc., 53 Temple Place Ste 330,
##   Boston MA 02111-1307, USA; either version 2 of the License, or
##   (at your option) any later version; incorporated herein by reference.
##
## -----------------------------------------------------------------------

##
## samples for syslinux users
##

TMPFILE = $(shell mktemp /tmp/gcc_ok.XXXXXX)

gcc_ok   = $(shell tmpf=$(TMPFILE); if $(CC) $(1) -c -x c /dev/null -o $$tmpf 2>/dev/null; \
	           then echo $(1); else echo $(2); fi; rm -f $$tmpf)

M32     := $(call gcc_ok,-m32,) $(call gcc_ok,-fno-stack-protector,)

CC         = gcc
LD         = ld -m elf_i386
AR	   = ar
NASM	   = nasm
NASMOPT	   = -O9999
RANLIB	   = ranlib
COM32DIR   = ../com32
LUDIR      = $(COM32DIR)/libutil
LDIR       = $(COM32DIR)/lib
CFLAGS     = $(M32) -mregparm=3 -DREGPARM=3 -W -Wall -march=i386 -Os -fomit-frame-pointer -I$(LUDIR)/include -I$(COM32DIR)/include  -Ilibmenu -D__COM32__
SFLAGS     = -D__COM32__ -march=i386
LDFLAGS    = -T $(LDIR)/com32.ld
OBJCOPY    = objcopy
LIBGCC    := $(shell $(CC) --print-libgcc)

LIBS	   = libmenu/libmenu.a $(LUDIR)/libutil_com.a $(LDIR)/libcom32.a $(LIBGCC)

LIBMENU = libmenu/syslnx.o libmenu/com32io.o libmenu/tui.o \
	libmenu/menu.o libmenu/passwords.o libmenu/des.o libmenu/help.o

CMENUS = $(patsubst %.c,%.c32,$(wildcard *.c))
IMENUS = $(patsubst %.menu,%.c32,$(wildcard *.menu))

MENUS = $(CMENUS) $(IMENUS)

.SUFFIXES: .S .c .o .elf .c32 .menu

.PRECIOUS: %.c
%.c: %.menu adv_menu.tpl
	python menugen.py --input=$< --output=$@ --template=adv_menu.tpl

.PRECIOUS: %.o
%.o: %.S
	$(CC) $(SFLAGS) -c -o $@ $<

.PRECIOUS: %.o
%.o: %.c %.h
	$(CC) $(CFLAGS) -c -o $@ $<

.PRECIOUS: %.elf
%.elf: %.o $(LIBS)
	$(LD) $(LDFLAGS) -o $@ $^

%.c32: %.elf
	$(OBJCOPY) -O binary $< $@

all: menus

libmenu/libmenu.a: $(LIBMENU)
	-rm -f $@
	$(AR) cq $@ $^
	$(RANLIB) $@

tidy dist:
	rm -f *.o *.lo *.a *.lst *.elf

libclean:
	rm -f libmenu/*.o libmenu/*.a

clean: tidy menuclean
	rm -f *.lss *.c32 *.com

menuclean:
	rm -f $(patsubst %.menu,%.c,$(wildcard *.menu))

spotless: clean libclean menuclean
	rm -f *~ \#*

menus: $(MENUS)

install:	# Don't install samples

## syslinux 4.03+dfsg

=== debian/changelog ===
syslinux (2:4.03+dfsg-drbl1) unstable; urgency=low

  * Non-maintainer uploaded.
  * Recompiled on Debian Sid.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 24 Apr 2011 21:55:53 +0800

syslinux (2:4.03+dfsg-12) unstable; urgency=low

  * Updating defaults for default boot entry (Closes: #613054).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 20 Feb 2011 00:39:01 +0100

syslinux (2:4.03+dfsg-11) unstable; urgency=low

  * Adding missing echo in readlink call of extlinux postinst (Closes:
    #612259).
  * Shortening apt-get call for install syslinux-themes in readme.
  * Adding note about requirement of the bootable flag in extlinux
    readme (Closes: #612693).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 12 Feb 2011 21:14:58 +0100

syslinux (2:4.03+dfsg-10) unstable; urgency=low

  * Updating maintainer and uploaders fields.
  * Removing vcs fields.
  * Removing references to my old email address.
  * Makeing packaging distribution neutral.
  * Shortening instructions in extlinux readme file regarding theme
    packages.
  * Translate UUID to classic device names in extlinux postinst script
    when calling extlinux-installer, thanks to Fabian Greffrath
    <fabian@greffrath.com> (Closes: #610604).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 06 Feb 2011 08:38:40 +0100

syslinux (2:4.03+dfsg-9) experimental; urgency=low

  * Making directory where to look for memdisk images configurable
    (Closes: #610389).
  * Correcting quoting of os-proper support in extlinux-update (Closes:
    #610537).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Wed, 19 Jan 2011 18:24:21 +0100

syslinux (2:4.03+dfsg-8) experimental; urgency=low

  * Adding Brazilian-Portuguese debconf translations from Adriano Rafael
    Gomes <adrianorg@gmail.com> (Closes: #610412).
  * Applying slightly modified patch from Fabian Greffrath
    <fabian@greffrath.com> to add support for os-prober in extlinux-
    update.
  * Updating some variable names in extlinux-update a bit.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Wed, 19 Jan 2011 09:51:36 +0100

syslinux (2:4.03+dfsg-7) experimental; urgency=low

  * Adding patch from upstream to fix regression with pxelinux and gpxe
    with qemu, thanks to Gene Cumm <gene.cumm@gmail.com> (Closes:
    #592875).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 08 Jan 2011 17:18:54 +0100

syslinux (2:4.03+dfsg-6) experimental; urgency=low

  * Updating extlinux-udpate manpage to reflect current default for
    extlinux entries.
  * Unconditionally default to true for extlinux memdisk option in
    extlinux-update.
  * Updating entry about extlinux timeout in extlinux-update manpage for
    consistency.
  * Removing extlinux-{install,update} legacy symlinks to
    {install,update}-extlinux.
  * Removing superfluous default entry in linux.cfg (Closes: #609303).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 08 Jan 2011 14:19:23 +0100

syslinux (2:4.03+dfsg-5) experimental; urgency=low

  * Adding memdisk support for images stored in /boot.
  * Prefixing internal linux labels with 'l' for consistency.
  * Failing earlier in extlinux-install when user has not specified a
    device to install.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Fri, 07 Jan 2011 13:21:13 +0100

syslinux (2:4.03+dfsg-4) experimental; urgency=low

  * Adding Italian debconf translations from Enrico Rossi
    <e.rossi@tecnobrain.com> (Closes: #607768).
  * Using breaks instead of conflicts in control, since this version is
    for wheezy (and squeeze-backports), so no need for lenny compat
    anymore.
  * Simplyfing extlinux postinst script.
  * Adding a missing escaping of a hyphen in extlinux-install manpage.
  * Updating source lintian overrides.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Wed, 22 Dec 2010 23:35:29 +0100

syslinux (2:4.03+dfsg-3) experimental; urgency=low

  * Correcting mistake imported by me in extlinux-update when adapting
    Michaels patch for the update function.
  * Removing unneeded REAMDE.source and headers in copyright file.
  * Simplyfing make handing in rules.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 19 Dec 2010 22:14:53 +0100

syslinux (2:4.03+dfsg-2) experimental; urgency=low

  [ Daniel Baumann ]
  * Using tmpfiles when creating configuration files in extlinux-update
    (Closes: #607516).
  * Applying modified patch from Michael Tokarev <mjt@tls.msk.ru> to not
    use tmpfiles but rather update in one go, updated to match existing
    codying style.

  [ Michael Tokarev ]
  * Exiting early in extlinux-update if disabled.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 19 Dec 2010 18:51:53 +0100

syslinux (2:4.03+dfsg-1) experimental; urgency=low

  * Merging upstream version 4.03+dfsg.
  * Updating to debhelper version 8.
  * Switching to source format 3.0 (quilt).
  * Correcting typo in extlinux-update manpage, thanks to Jakub Wilk
    <jwilk@debian.org> (Closes: #603739).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 20 Nov 2010 17:17:23 +0100

syslinux (2:4.02+dfsg-7) unstable; urgency=medium

  [ Otavio Salvador ]
  * Unconditionally redirect stdout to stderr (Closes: #597132).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Thu, 14 Oct 2010 23:12:13 +0200

syslinux (2:4.02+dfsg-6) unstable; urgency=medium

  [ Otavio Salvador ]
  * Adding lacking exec in stdout to stderr redirection (Closes:
    #597132).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Mon, 11 Oct 2010 23:17:38 +0200

syslinux (2:4.02+dfsg-5) unstable; urgency=medium

  * Updating to standards version 3.9.1.
  * Making sure that readlink in extlinux-update doesn't return 1.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 26 Sep 2010 09:26:22 +0200

syslinux (2:4.02+dfsg-4) unstable; urgency=medium



=== debian/control ===
Source: syslinux
Section: utils
Priority: optional
Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
Uploaders: Otavio Salvador <otavio@debian.org>
Build-Depends:
 debhelper (>= 8), gcc-multilib [amd64], libc6-dev-i386 [amd64], nasm, python
Standards-Version: 3.9.1
Homepage: http://syslinux.zytor.com/

Package: syslinux
Architecture: amd64 i386
Depends:
 ${misc:Depends}, ${shlibs:Depends}, syslinux-common (= ${binary:Version}),
Breaks: syslinux-common (<< ${source:Version})
Replaces: syslinux-common
Suggests: dosfstools, mtools, os-prober
Description: collection of boot loaders
 SYSLINUX is a collection of boot loaders which operates off Linux ext2/3/4 or
 btrfs filesystems, MS-DOS FAT filesystems, network servers using PXE firmware,
 or from CD-ROMs.

Package: extlinux
Architecture: amd64 i386
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: syslinux (<< ${source:Version})
Replaces: syslinux
Recommends: syslinux-common, syslinux-themes-debian
Description: collection of boot loaders (ext2/3/4 and btrfs bootloader)
 SYSLINUX is a collection of boot loaders which operates off Linux ext2/3/4 or
 btrfs filesystems, MS-DOS FAT filesystems, network servers using PXE firmware,
 or from CD-ROMs.
 .
 This package contains the ext2/3/4 and btrfs bootloader.

Package: syslinux-common
Architecture: all
Depends: ${misc:Depends}
Breaks: syslinux (<< ${source:Version})
Replaces: syslinux
Recommends: libcrypt-passwdmd5-perl, libdigest-sha1-perl
Description: collection of boot loaders (common files)
 SYSLINUX is a collection of boot loaders which operates off Linux ext2/3/4 or
 btrfs filesystems, MS-DOS FAT filesystems, network servers using PXE firmware,
 or from CD-ROMs.
 .
 This package contains common files.

## syslinux 4.04+dfsg

=== debian/changelog ===
syslinux (2:4.04+dfsg-1ubuntu1) oneiric; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - gfxboot module:
      + Allow boot entry to start with label instead of menu_label.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 18 May 2011 12:14:15 +0100

syslinux (2:4.04+dfsg-1) unstable; urgency=low

  * Merging upstream version 4.04+dfsg.
  * Removing pxelinux.patch, included upstream.
  * Updating to standards version 3.9.2.
  * Updating year in copyright file.
  * Correcting MBR size to the actual value (440), thanks to Kolja Nowak
    <kolja@nowak2000.de> (Closes: #614686).
  * Skipping files matching '^initrd.*' from automatically being added
    as memdisk entries (Closes: #618442).
  * Adding Danish debconf translations from Joe Hansen
    <joedalton2@yahoo.dk> (Closes: #621022).
  * Adding isolinux quiet flavour.
  * Adding patch from Salvatore Bonaccorso <carnil@debian.org> to use
    use Digest::SHA for utils/sha1pass (Closes: #625812).
  * Updating recommends on libdigest-sha-perl.
  * Disabling diag/geodsp temporariily, it currently fails to build.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Mon, 16 May 2011 09:44:07 +0200

syslinux (2:4.03+dfsg-12ubuntu1) oneiric; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - gfxboot module:
      + Allow boot entry to start with label instead of menu_label.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 05 May 2011 17:21:26 +0100

syslinux (2:4.02+dfsg-7ubuntu1) natty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - gfxboot module:
      + Add include and menu include support.
      + Fix buffer overrun when loading kernel/initramfs.
      + Allow boot entry to start with label instead of menu_label.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 16 Oct 2010 17:19:35 +0100

syslinux (2:4.02+dfsg-6ubuntu1) natty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - gfxboot module:
      + Add include and menu include support.
      + Fix buffer overrun when loading kernel/initramfs.
      + Allow boot entry to start with label instead of menu_label.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 13 Oct 2010 13:34:15 +0100

syslinux (2:4.01+dfsg-3ubuntu1) maverick; urgency=low

  * Unexport LDFLAGS in debian/rules in case it was passed by
    dpkg-buildflags (the LDFLAGS there is expected to be passed to gcc, not
    ld; thanks, Vladimir Ushakov).
  * gfxboot module:
    - Add include and menu include support.
    - Fix buffer overrun when loading kernel/initramfs.
    - Allow boot entry to start with label instead of menu_label.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 14 Jul 2010 14:26:52 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: syslinux
 Section: utils
 Priority: optional
-Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
 Uploaders: Otavio Salvador <otavio@debian.org>
 Build-Depends:
  debhelper (>= 8), gcc-multilib [amd64], libc6-dev-i386 [amd64], nasm, python
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://syslinux.zytor.com/
 
 Package: syslinux
@@ -38,7 +39,7 @@
 Depends: ${misc:Depends}
 Breaks: syslinux (<< ${source:Version})
 Replaces: syslinux
-Recommends: libcrypt-passwdmd5-perl, libdigest-sha1-perl
+Recommends: libcrypt-passwdmd5-perl, libdigest-sha-perl
 Description: collection of boot loaders (common files)
  SYSLINUX is a collection of boot loaders which operates off Linux ext2/3/4 or
  btrfs filesystems, MS-DOS FAT filesystems, network servers using PXE firmware,

=== debian/rules ===
#!/usr/bin/make -f

SHELL := sh -e

DATE=$(shell date +%Y%m%d)
VERSION=$(word 1,$(shell cat version))

unexport LDFLAGS

%:
	dh ${@}

dfsg:
	rm -f doc/rfc5071.txt

override_dh_auto_clean:
	dh_auto_clean

	rm -f core/.depend memdisk/.depend
	rm -f com32/lib*/*.a com32/*/*.c32 core/*.0 core/*.bin core/*.bss core/*.sys dos/*.com gpxe/*.0 memdisk/memdisk memdump/*.com

override_dh_auto_build:
	dh_auto_build -- DATE="$(DATE)" VERSION="$(VERSION)"

override_dh_auto_install:
	dh_auto_install -- INSTALLROOT=$(CURDIR)/debian/tmp

	# Removing useless files
	rm -f debian/tmp/usr/bin/keytab-lilo # already part of the lilo package

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_install:
	dh_install --fail-missing

## syslinux 4.05

=== debian/changelog ===
syslinux (2:4.05) unstable; urgency=low

  * Update to 4.05

 -- Gui Chen <gui.chen@intel.com> Wed, 11 Jul 2012 10:56:32 +0100

syslinux (3:4.04) unstable; urgency=low

  * Update to 4.04

 -- Gui Chen <gui.chen@intel.com> Mon, 06 Feb 2012 10:56:32 +0100

syslinux (2:4.02) unstable; urgency=low

  * Update to 2:4.02

 -- Yi Yang <yi.y.yang@intel.com>  Fri, 23 Jul 2010 09:47:32 +0100

syslinux (4.00) unstable; urgency=low

  * Update to 4.00

 -- Yi Yang <yi.y.yang@intel.com>  Tue, 29 Jun 2010 10:47:32 +0100

syslinux (4.00~pre45) unstable; urgency=low

  * Update to 4.00 pre release for test

 -- Yi Yang <yi.y.yang@intel.com>  Wed, 19 May 2010 13:39:32 +0100

syslinux (3.85) unstable; urgency=low

  * first cut

 -- Yi Yang <yi.y.yang@intel.com>  Tue, 23 Feb 2010 13:39:32 +0100

=== debian/control ===
Source: syslinux
Section: utils
Priority: optional
Maintainer: Gui Chen <gui.chen@intel.com>
Build-Depends: debhelper (>= 6), dpatch, python, mtools, gcc-multilib [amd64], libc6-dev-i386 [amd64], nasm (>= 0.99.06), perl, uuid-dev
Standards-Version: 3.7.2
Homepage: http://syslinux.zytor.com/

Package: syslinux
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, mtools
Recommends: mtools
Conflicts: extlinux
Description: Bootloader for Linux/i386 using MS-DOS floppies
 SYSLINUX is a boot loader for the Linux/i386 operating system which operates
 off an MS-DOS/Windows FAT filesystem. It is intended to simplify first-time
 installation of Linux, and for creation of rescue and other special-purpose
 boot disks.
 .
 It can also be used as a PXE bootloader during network boots.
 .
 SYSLINUX is probably not suitable as a general purpose boot loader. However,
 SYSLINUX has shown itself to be quite useful in a number of special-purpose
 applications.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpatch/dpatch.make
unexport LDFLAGS

upstream:
	rm -f doc/rfc5071.txt

build: build-stamp
build-stamp: patch-stamp
	dh_testdir

	# Building package
	make clean
	make installer
	make -C sample tidy

	# Building images
	install -d -m 0755 build

	for SIZE in 720 1200 1440 1743; \
	do \
		dd if=/dev/zero of=build/img$${SIZE}k bs=1k count=$$SIZE || exit 1; \
	done

	for DRIVE in a: b: c: d:;\
	do \
		MTOOLSRC=debian/config/mtoolsrc mformat $$DRIVE || exit 1; \
	done

	for SIZE in 720 1200 1440 1743; \
	do \
		mtools/syslinux --stupid build/img$${SIZE}k || exit 1; \
	done

	gzip -9 build/*

	touch build-stamp

clean: unpatch
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Cleaning package
	[ ! -f Makefile ] || $(MAKE) clean
	rm -f .depend memdisk/.depend
	rm -f dos/syslinux.com extlinux.bin extlinux.bss extlinux.sys isolinux-debug.bin isolinux.bin ldlinux.bin ldlinux.bss ldlinux.sys memdisk/memdisk memdump/memdump.com pxelinux.0
	rm -rf build

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Installing package
	install -d -m 0755 debian/syslinux/usr/bin
	install -m 0755 utils/gethostip utils/isohybrid utils/keytab-lilo utils/lss16toppm utils/md5pass utils/mkdiskimage utils/ppmtolss16 utils/pxelinux-options utils/sha1pass utils/syslinux2ansi mtools/syslinux extlinux/extlinux debian/syslinux/usr/bin

	install -d -m 0755 debian/syslinux/usr/lib/syslinux
	install -m 0644 build/* debian/syslinux/usr/lib/syslinux

	install -m 0644 dosutil/copybs.com core/isolinux.bin core/isolinux-debug.bin core/ldlinux.bss core/ldlinux.sys core/pxelinux.0 com32/modules/*.c32 com32/menu/*.c32 mbr/mbr.bin debian/syslinux/usr/lib/syslinux

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs NEWS
	dh_installdocs
	dh_install
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## syslinux 4.05+dfsg

=== dos/Makefile ===
## -----------------------------------------------------------------------
##
##   Copyright 2001-2008 H. Peter Anvin - All Rights Reserved
##
##   This program is free software; you can redistribute it and/or modify
##   it under the terms of the GNU General Public License as published by
##   the Free Software Foundation, Inc., 53 Temple Place Ste 330,
##   Boston MA 02111-1307, USA; either version 2 of the License, or
##   (at your option) any later version; incorporated herein by reference.
##
## -----------------------------------------------------------------------

##
## MS-DOS FAT installer
##

topdir = ..
MAKEDIR = $(topdir)/mk
include $(MAKEDIR)/embedded.mk

CFLAGS	+= -D__MSDOS__
# CFLAGS  += -DDEBUG

LDFLAGS	 = -T dosexe.ld
OPTFLAGS = -g
INCLUDES = -include code16.h -nostdinc -iwithprefix include \
	   -I. -I.. -I../libfat -I ../libinstaller -I ../libinstaller/getopt

SRCS     = syslinux.c \
	   ../libinstaller/fat.c \
	   ../libinstaller/syslxmod.c \
	   ../libinstaller/syslxopt.c \
	   ../libinstaller/setadv.c \
	   ../libinstaller/getopt/getopt_long.c \
	   ../libinstaller/bootsect_bin.c \
	   ../libinstaller/mbr_bin.c \
           $(wildcard ../libfat/*.c)
OBJS	 = header.o crt0.o ldlinux.o \
	   $(patsubst %.c,%.o,$(notdir $(SRCS)))
LIBOBJS	 = int2526.o conio.o memcpy.o memset.o memmove.o skipatou.o atou.o \
	   malloc.o free.o getopt_long.o getsetsl.o strchr.o strtoul.o \
	   strntoumax.o argv.o printf.o __divdi3.o __udivmoddi4.o

VPATH = .:../libfat:../libinstaller:../libinstaller/getopt

TARGETS = syslinux.com

all: $(TARGETS)

tidy dist:
	-rm -f *.o *.i *.s *.a .*.d *.tmp *.elf *.lst

clean: tidy

spotless: clean
	-rm -f *~ $(TARGETS)

installer:

syslinux.elf: $(OBJS) dosexe.ld libcom.a
	$(LD) $(LDFLAGS) -o $@ $(OBJS) libcom.a

libcom.a: $(LIBOBJS)
	-rm -f $@
	$(AR) cq $@ $^
	$(RANLIB) $@

syslinux.com: syslinux.elf
	$(OBJCOPY) -O binary $< $@
	$(UPX) --lzma --ultra-brute $@ || \
		$(UPX) --ultra-brute $@ || \
		true

%.com: %.asm
	$(NASM) $(NASMOPT) -f bin -o $@ -MP -MD .$@.d -l $*.lst $<

ldlinux.o: ldlinux.S ../core/ldlinux.sys

-include .*.d *.tmp

=== debian/changelog ===
syslinux (3:4.05+dfsg-6+deb8u1) unstable; urgency=low

  * Applying patch from Tom Jampen <jampen@cryptography.ch> to add a
    workaround in root device detection of extlinux' postinst for bugs in
    df (see #656067 and #656333) in connection with UUIDs.
  * Using findmnt instead of df-parsing in extlinux.postinst to find root
    partition, thanks to Marcin Szewczyk <debian.bugreport@wodny.org>
    (Closes: #670515).
  * Adding patch from upstream to fix build with newer gcc.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 21 Nov 2013 08:26:40 +0100

syslinux (3:4.05+dfsg-6+deb7u3) unstable; urgency=low

  * Removing all references to my old email address.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 05 Jun 2013 11:44:36 +0200

syslinux (3:4.05+dfsg-6+deb7u2) unstable; urgency=low

  * Reuploading to unstable (Closes: #699382, #699596, #699742, #699808,
    #699884, #699890).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 10 Feb 2013 15:43:56 +0100

syslinux (2:4.05+dfsg-6+deb7u1) testing-proposed-updates; urgency=low

  * Non-maintainer upload.
  * Upload to testing for wheezy.
  * Correctly update syslinux debian themes in extlinux-update
    (Closes: #687848).

 -- Ivo De Decker <ivo.dedecker@ugent.be>  Mon, 10 Dec 2012 12:48:40 +0100

syslinux (2:4.05+dfsg-6) unstable; urgency=low

  * Using official package-type for udeb packages in control now.
  * Switching to xz compression.
  * Updating todo file.
  * Making some editorial changes in copyright file.
  * Adding copyright headers in local debian additions.
  * Adding patch from Andy Whitcroft <apw@canonical.com> to fix FTBFS
    with 3.4.x kernels (Closes: #676405).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 30 Jun 2012 14:11:21 +0200

syslinux (2:4.05+dfsg-5) unstable; urgency=low

  * Adding patch to add alternative locations in for configuration files
    for the bootloader configuration.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 23 May 2012 06:46:15 +0200

syslinux (2:4.05+dfsg-4) unstable; urgency=low

  * Updating compression handling for udeb with newer debhelper.
  * Build-depending on gcc-4.6 for the time being in order to avoid
    miscompiling default gcc-4.7 (Closes: #672520).
  * Removing bootloader configuration files for extlinux in postrm when
    purging package (Closes: #672380).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 18 May 2012 09:11:09 +0200

syslinux (2:4.05+dfsg-3) unstable; urgency=low

  * Updating todo file.
  * Cherry-picking patch from Matthew Garrett <mjg@redhat.com> for
    isohybrid to generate MBR even when in EFI mode.
  * Only omitting intended ms-dos executables, not a few additional c32
    modules too (Closes: #663302).
  * Adding Indonesian debconf translations from Kurniawan Haikal
    <conecones@gmail.com> (Closes: #658512).
  * Updating to debhelper version 9.
  * Updating to standards version 3.9.3.
  * Updating copyright file machine-readable format version 1.0.
  * Adding NTFS in package descriptions.
  * Adding recommends to os-prober to extlinux.
  * Polish indenting in readme.
  * Correcting email address in previous changelog entry.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 08 May 2012 15:31:06 +0200

syslinux (2:4.05+dfsg-2) unstable; urgency=low

  * Adding patch from Micah Gersten <micahg@ubuntu.com> to fix FTBFS
    with --as-needed (Closes: #654838).
  * Switching to numeric (reverse) sorting in extlinux-update, thanks to
    Thomas Viehweger <patchesThomas.Vie@web.de> (Closes: #657671).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 27 Jan 2012 22:32:28 +0100

syslinux (2:4.05+dfsg-1) unstable; urgency=low

  * Merging upstream version 4.05+dfsg:
    - compatible with gfxboot 4.4 (Closes: #653048).
  * Rediffing ldlinux-quiet.patch.
  * Removing geometrie.patch, included upstream.
  * Removing isohybrid-gpt.patch, included upstream.
  * Rediffing gfxboot-menu-label.patch.
  * Renumbering patches.
  * Adding Dutch debconf translations from Jeroen Schot <schot@a-
    eskwadraat.nl> (Closes: #652626).
  * Moving mtools from suggests to recommends (Closes: #651028).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 23 Dec 2011 14:08:52 +0100

syslinux (2:4.04+dfsg-9) unstable; urgency=low

  * Using linux keyword for linux kernel images to profit from syslinux'
    automagic (Closes: #647603).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 24 Nov 2011 11:20:58 +0100

syslinux (2:4.04+dfsg-8) unstable; urgency=low

  * Updating accidentally my wrong email address in previous changelog
    entry.
  * Updating isohybrid-gpt.patch to not fail with --as-needed, thanks to
    Colin Watson <cjwatson@ubuntu.com> (Closes: #648727).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 15 Nov 2011 23:39:16 +0100

syslinux (2:4.04+dfsg-7) unstable; urgency=low

  * Adding Slovak debconf translations from Slavko <linux@slavino.sk>
    (Closes: #647086).
  * Adding patch from Colin Watson <cjwatson@ubuntu.com> to gfxboot.c32
    to allow boot entry to start with label instead of menu_label.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 02 Nov 2011 07:57:23 +0100

syslinux (2:4.04+dfsg-6) unstable; urgency=low

  * Adding patch from Matthew Garrett <mjg59@srcf.ucam.org> to generate
    GPT and Mac bootable images isohybrid images.
  * Sorting overrides in rules alphabetically.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 28 Oct 2011 22:28:55 +0200

syslinux (2:4.04+dfsg-5) unstable; urgency=low

  * Adding patch from Gene Cumm <gene.cumm@gmail.com> to fix geometry
    handling in extlinux (Closes: #626488).
  * Using compression level 9 also for binary packages.
  * Adding patch to make ldlinux quiet by default.
  * Adding patch to add option to enable verbose messages.
  * Renumbering patches.
  * Making isolinux quiet by default and dropping dedicated quiet
    flavour.
  * Making pxelinux quiet by default and dropping dedicated quiet
    flavour.



=== debian/control ===
Source: syslinux
Section: utils
Priority: optional
Maintainer: Daniel Baumann <mail@daniel-baumann.ch>
Build-Depends:
 debhelper (>= 9), e2fslibs-dev, gcc-multilib [amd64],
 libc6-dev-i386 [amd64], nasm, python, uuid-dev
Standards-Version: 3.9.3
Homepage: http://syslinux.zytor.com/

Package: syslinux
Architecture: amd64 i386
Depends:
 ${misc:Depends}, ${shlibs:Depends}, syslinux-common (= ${binary:Version}),
Breaks: syslinux-common (<< ${source:Version})
Replaces: syslinux-common
Recommends: mtools
Suggests: dosfstools, os-prober
Description: collection of boot loaders
 SYSLINUX is a collection of boot loaders which operates off Linux ext2/3/4 or
 btrfs filesystems, FAT and NTFS filesystems, network servers using PXE
 firmware, or from CD-ROMs.

Package: syslinux-udeb
Package-Type: udeb
Architecture: amd64 i386
Section: debian-installer
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: collection of boot loaders

Package: extlinux
Architecture: amd64 i386
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: syslinux (<< ${source:Version})
Replaces: syslinux
Recommends: syslinux-common, syslinux-themes-debian, os-prober
Description: collection of boot loaders (ext2/3/4 and btrfs bootloader)
 SYSLINUX is a collection of boot loaders which operates off Linux ext2/3/4 or
 btrfs filesystems, FAT and NTFS filesystems, network servers using PXE
 firmware, or from CD-ROMs.
 .
 This package contains the ext2/3/4 and btrfs bootloader.

Package: syslinux-common
Architecture: all
Depends: ${misc:Depends}
Breaks: syslinux (<< ${source:Version})
Replaces: syslinux
Recommends: libcrypt-passwdmd5-perl, libdigest-sha-perl
Description: collection of boot loaders (common files)
 SYSLINUX is a collection of boot loaders which operates off Linux ext2/3/4 or
 btrfs filesystems, FAT and NTFS filesystems, network servers using PXE
 firmware, or from CD-ROMs.
 .
 This package contains common files.

=== debian/rules ===
#!/usr/bin/make -f

SHELL := sh -e

DATE=$(shell date +%Y%m%d)
VERSION=$(word 1,$(shell cat version))

unexport LDFLAGS

%:
	dh ${@}

dfsg:
	rm -f doc/rfc5071.txt

override_dh_auto_build:
	dh_auto_build -- DATE="$(DATE)" VERSION="$(VERSION)"

override_dh_auto_clean:
	dh_auto_clean

	rm -f core/.depend memdisk/.depend
	rm -f com32/lib*/*.a com32/*/*.c32 core/*.0 core/*.bin core/*.bss core/*.sys dos/*.com gpxe/*.0 memdisk/memdisk memdump/*.com

override_dh_auto_install:
	dh_auto_install -- INSTALLROOT=$(CURDIR)/debian/tmp

	# removing keytab-lilo, already part of the lilo package
	rm -f debian/tmp/usr/bin/keytab-lilo

	# removing ms-dos executables
	for _FILE in dos*/*.com; \
	do \
		rm -f debian/tmp/usr/share/syslinux/$$(basename $${_FILE}); \
	done

override_dh_builddeb:
	dh_builddeb -- -Zxz -z9

override_dh_install:
	dh_install --fail-missing

override_dh_installchangelogs:
	dh_installchangelogs NEWS

## syslinux 4.06+dfsg

=== debian/changelog ===
syslinux (2:4.06+dfsg-1.drbl2) unstable; urgency=low

  * Removing xz option in rules. For compatable with older version of dpkg.
    Thanks to tixetsal for reporting this issue.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 28 Feb 2013 13:26:01 +0800

syslinux (2:4.06+dfsg-1.drbl1) unstable; urgency=low

  * Non-maintainer upload.
  * Recompiled.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 04 Nov 2012 16:29:05 +0800

syslinux (2:4.06+dfsg-1) unstable; urgency=low

  * Updating upstream URLs.
  * Updating todo file.
  * Merging upstream version 4.06+dfsg.
  * Removing as-needed.patch, included upstream.
  * Removing efi-mbr.patch, included upstream.
  * Removing ext2-header.patch, included upstream.
  * Renumbering patches.
  * Updating conffiles.patch to make extlinux add /boot/extlinux and
    /extlinux directories for bootloader configuration files.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Thu, 01 Nov 2012 15:59:34 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: syslinux
 Section: utils
 Priority: optional
-Maintainer: Daniel Baumann <mail@daniel-baumann.ch>
+Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
+Uploaders: Otavio Salvador <otavio@debian.org>
 Build-Depends:
- debhelper (>= 9), e2fslibs-dev, gcc-multilib [amd64],
+ debhelper (>= 9), e2fslibs-dev, gcc-4.6, gcc-multilib [amd64],
  libc6-dev-i386 [amd64], nasm, python, uuid-dev
 Standards-Version: 3.9.3
-Homepage: http://syslinux.zytor.com/
+Homepage: http://www.syslinux.org/
 
 Package: syslinux
 Architecture: amd64 i386

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 	rm -f doc/rfc5071.txt
 
 override_dh_auto_build:
-	dh_auto_build -- DATE="$(DATE)" VERSION="$(VERSION)"
+	dh_auto_build -- CC=/usr/bin/gcc-4.6 DATE="$(DATE)" VERSION="$(VERSION)"
 
 override_dh_auto_clean:
 	dh_auto_clean
@@ -35,7 +35,7 @@
 	done
 
 override_dh_builddeb:
-	dh_builddeb -- -Zxz -z9
+	dh_builddeb
 
 override_dh_install:
 	dh_install --fail-missing

## syslinux 5.01+dfsg

=== debian/changelog ===
syslinux (2:5.01+dfsg-1) unstable; urgency=low

  * Merging upstream version 5.01+dfsg.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Thu, 31 Jan 2013 11:24:05 +0100

syslinux (2:5.00+dfsg-1) unstable; urgency=low

  * Merging upstream version 5.00+dfsg.
  * Removing Otavio from uploaders with his consent.
  * Updating to standards version 3.9.4.
  * Updating years in copyright file.
  * Dropping dpkg-source compression levels.
  * Rediffing isolinux-quiet.patch.
  * Rediffing pxelinux-quiet.patch.
  * Rediffing ldlinux-quiet.patch.
  * Renaming patches with 4 digit prefix.
  * Tightening diff headers.
  * Using findmnt instead of df-parsing in extlinux.postinst to find root
    partition, thanks to Marcin Szewczyk <debian.bugreport@wodny.org>
    (Closes: #670515).
  * Including gptmbr.bin in extlinux and syslinux-udeb too in preparation
    for gpt support in distribution scripts.
  * Adding initial support for gpt in extlinux distribution scripts
    (Closes: #630922).
  * Updating date and version headers in local files.
  * Updating lintian overrides.
  * Removing extra license file for logo.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Mon, 28 Jan 2013 09:08:40 +0100

syslinux (2:4.06+dfsg-3) unstable; urgency=low

  * Allowing to overwrite symlinks in extlinux-update, thanks to Ivo De
    Decker <ivo.dedecker@ugent.be> (Closes: #687848).
  * Adding patch to update list of supported filesystems in extlinux
    manpage (Closes: #692844).
  * Adding missing support for menu default handling (Closes: #691644).
  * Updating date and version headers in local manpages.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Wed, 05 Dec 2012 12:40:43 +0100

syslinux (2:4.06+dfsg-2) unstable; urgency=low

  * Applying patch from Tom Jampen <jampen@cryptography.ch> to add a
    workaround in root device detection of extlinux' postinst for bugs
    in df (see #656067 and #656333) in connection with UUIDs.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Thu, 08 Nov 2012 12:30:29 +0100

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,10 @@
 Section: utils
 Priority: optional
 Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
-Uploaders: Otavio Salvador <otavio@debian.org>
 Build-Depends:
  debhelper (>= 9), e2fslibs-dev, gcc-4.6, gcc-multilib [amd64],
  libc6-dev-i386 [amd64], nasm, python, uuid-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://www.syslinux.org/
 
 Package: syslinux
@@ -21,13 +20,6 @@
  SYSLINUX is a collection of boot loaders which operates off Linux ext2/3/4 or
  btrfs filesystems, FAT and NTFS filesystems, network servers using PXE
  firmware, or from CD-ROMs.
-
-Package: syslinux-udeb
-Package-Type: udeb
-Architecture: amd64 i386
-Section: debian-installer
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Description: collection of boot loaders
 
 Package: extlinux
 Architecture: amd64 i386

=== debian/rules ===
--- 
+++ 
@@ -35,7 +35,13 @@
 	done
 
 override_dh_builddeb:
-	dh_builddeb
+	dh_builddeb -- -Zxz
+
+override_dh_installdocs:
+	dh_installdocs
+
+	# removing other unwanted files
+	rm -f debian/syslinux-common/usr/share/doc/syslinux/logo/LICENSE
 
 override_dh_install:
 	dh_install --fail-missing

## syslinux 5.10+drbl

=== debian/changelog ===
syslinux (2:5.10+drbl-1) unstable; urgency=low

  * New upstream.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 04 Jul 2013 10:07:38 +0800

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
 Build-Depends:
  debhelper (>= 9), e2fslibs-dev, gcc-4.6, gcc-multilib [amd64],
- libc6-dev-i386 [amd64], nasm, python, uuid-dev
+ libc6-dev-i386 [amd64], nasm, python, uuid-dev, upx
 Standards-Version: 3.9.4
 Homepage: http://www.syslinux.org/

=== debian/rules ===
--- 
+++ 
@@ -21,6 +21,7 @@
 
 	rm -f core/.depend memdisk/.depend
 	rm -f com32/lib*/*.a com32/*/*.c32 core/*.0 core/*.bin core/*.bss core/*.sys dos/*.com gpxe/*.0 memdisk/memdisk memdump/*.com
+	make -C txt spotless
 
 override_dh_auto_install:
 	dh_auto_install -- INSTALLROOT=$(CURDIR)/debian/tmp

## syslinux 6.02~pre16+dfsgreally4.05+dfsg

=== debian/changelog ===
syslinux (3:6.02~pre16+dfsgreally4.05+dfsg-0tanglu1) staging; urgency=low

  * Force-downgrade to 4.05 as 6 isn't supported by live-build yet

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 10 Sep 2013 21:43:55 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: syslinux
 Section: utils
 Priority: optional
-Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
+Maintainer: Daniel Baumann <mail@daniel-baumann.ch>
 Build-Depends:
  debhelper (>= 9), e2fslibs-dev, gcc-4.6, gcc-multilib [amd64],
- libc6-dev-i386 [amd64], nasm, python, uuid-dev, upx
-Standards-Version: 3.9.4
-Homepage: http://www.syslinux.org/
+ libc6-dev-i386 [amd64], nasm, python, uuid-dev
+Standards-Version: 3.9.3
+Homepage: http://syslinux.zytor.com/
 
 Package: syslinux
 Architecture: amd64 i386
@@ -20,6 +20,13 @@
  SYSLINUX is a collection of boot loaders which operates off Linux ext2/3/4 or
  btrfs filesystems, FAT and NTFS filesystems, network servers using PXE
  firmware, or from CD-ROMs.
+
+Package: syslinux-udeb
+Package-Type: udeb
+Architecture: amd64 i386
+Section: debian-installer
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: collection of boot loaders
 
 Package: extlinux
 Architecture: amd64 i386
